#include <stdio.h>

int main(int argc, char *argv[])
{
    if (argc < 2) {
        fprintf(stderr, "ERROR: You must provide at least one argument.\n");
        return 1;
    }

    int i;
    int argn;

    char letter;
    int up_low_sep = (int)('a' - 'A');
    int upper_floor = (int)'A';
    int upper_ceil = (int)'Z';

    for(argn = 1; argn < argc; argn++) {
        for(i = 0; '\0' != (letter = argv[argn][i]); i++) {
            int i_letter = (int)letter;
            if (upper_floor < i_letter && i_letter < upper_ceil) {
                letter = (char)(i_letter + up_low_sep);
            }

            if (letter == 'a') {
                printf("%d: 'a'\n", i);
            } else if (letter == 'e') {
                printf("%d: 'e'\n", i);
            } else if (letter == 'i') {
                printf("%d: 'i'\n", i);
            } else if (letter == 'o') {
                printf("%d: 'o'\n", i);
            } else if (letter == 'u') {
                printf("%d: 'u'\n", i);
            } else if (letter == 'y') {
                if (i > 2) {
                    printf("%d: 'Y'\n", i);
                } else {
                    printf("%d: 'Y' isn't a vowel this time\n", i);
                }
            } else {
                printf("%d: '%c' is not a vowel\n", i, letter);
            }
        }
    }

    return 0;
}

